# swagger_client.JobsApi

All URIs are relative to *https://service.fax-api.de/4.0/rest*

Method | HTTP request | Description
------------- | ------------- | -------------
[**get_jobs**](JobsApi.md#get_jobs) | **GET** /jobs | /jobs
[**post_job**](JobsApi.md#post_job) | **POST** /jobs | /jobs

# **get_jobs**
> Jobs get_jobs(object_limit=object_limit, object_offset=object_offset, filter_same_account=filter_same_account, filter_title=filter_title, filter_status=filter_status, filter_date_from=filter_date_from, filter_date_to=filter_date_to, filter_date_until_from=filter_date_until_from, filter_date_until_to=filter_date_until_to, filter_cost_center=filter_cost_center, sort_field=sort_field, sort_order=sort_order)

/jobs

Description: Resource to obtain a list of fax jobs

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# Configure API key authorization: ApiAuthKey
configuration = swagger_client.Configuration()
configuration.api_key['X-Auth-Token'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['X-Auth-Token'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.JobsApi(swagger_client.ApiClient(configuration))
object_limit = 100 # int | Query parameter to change de default limitation of objects in the result data array (optional) (default to 100)
object_offset = 0 # int | Query parameter to change de default offset of objects in the result data array (optional) (default to 0)
filter_same_account = false # bool | Query parameter to fetch jobs after the api account linked to the used token/key for authorization (optional) (default to false)
filter_title = 'filter_title_example' # str | Query parameter to fetch jobs after his title (optional)
filter_status = 'filter_status_example' # str | Query parameter to fetch jobs after his status (optional)
filter_date_from = '2013-10-20T19:20:30+01:00' # datetime | Query parameter to fetch jobs with a later date in TimeToSend. Can be combined with filterDateTo to define a period of interest. The format must comply with ISO 8601 and must contain date and time, like '2022-01-01T10:00:00+01:00'. Please also consider urlencoding (2022-01-01T10%3A00%3A00%2B01%3A00) (optional)
filter_date_to = '2013-10-20T19:20:30+01:00' # datetime | Query parameter to fetch jobs with a previous date in TimeToSend. Can be combined with filterDateFrom to define a period of interest. The format must comply with ISO 8601 and must contain date and time, like '2022-01-01T10:00:00+02:00'. Please also consider urlencoding (2022-01-01T10%3A00%3A00%2B01%3A00 (optional)
filter_date_until_from = '2013-10-20T19:20:30+01:00' # datetime | Query parameter to fetch jobs with a later date in TimeToSendUntil. Can be combined with filterDateUntilTo to define a period of interest. The format must comply with ISO 8601 and must contain date and time, like '2022-01-01T10:00:00+01:00'. Please also consider urlencoding (2022-01-01T10%3A00%3A00%2B01%3A00) (optional)
filter_date_until_to = '2013-10-20T19:20:30+01:00' # datetime | Query parameter to fetch jobs with a previous date in TimeToSendUntil. Can be combined with filterDateUIntilFrom to define a period of interest. The format must comply with ISO 8601 and must contain date and time, like '2022-01-01T10:00:00+02:00'. Please also consider urlencoding (2022-01-01T10%3A00%3A00%2B01%3A00 (optional)
filter_cost_center = 'filter_cost_center_example' # str | Query parameter to fetch jobs after his cost center (optional)
sort_field = 'sort_field_example' # str | Available sort options for the result data array. (optional)
sort_order = 'asc' # str | Describes the order for used sort fields (optional) (default to asc)

try:
    # /jobs
    api_response = api_instance.get_jobs(object_limit=object_limit, object_offset=object_offset, filter_same_account=filter_same_account, filter_title=filter_title, filter_status=filter_status, filter_date_from=filter_date_from, filter_date_to=filter_date_to, filter_date_until_from=filter_date_until_from, filter_date_until_to=filter_date_until_to, filter_cost_center=filter_cost_center, sort_field=sort_field, sort_order=sort_order)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling JobsApi->get_jobs: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **object_limit** | **int**| Query parameter to change de default limitation of objects in the result data array | [optional] [default to 100]
 **object_offset** | **int**| Query parameter to change de default offset of objects in the result data array | [optional] [default to 0]
 **filter_same_account** | **bool**| Query parameter to fetch jobs after the api account linked to the used token/key for authorization | [optional] [default to false]
 **filter_title** | **str**| Query parameter to fetch jobs after his title | [optional] 
 **filter_status** | **str**| Query parameter to fetch jobs after his status | [optional] 
 **filter_date_from** | **datetime**| Query parameter to fetch jobs with a later date in TimeToSend. Can be combined with filterDateTo to define a period of interest. The format must comply with ISO 8601 and must contain date and time, like &#x27;2022-01-01T10:00:00+01:00&#x27;. Please also consider urlencoding (2022-01-01T10%3A00%3A00%2B01%3A00) | [optional] 
 **filter_date_to** | **datetime**| Query parameter to fetch jobs with a previous date in TimeToSend. Can be combined with filterDateFrom to define a period of interest. The format must comply with ISO 8601 and must contain date and time, like &#x27;2022-01-01T10:00:00+02:00&#x27;. Please also consider urlencoding (2022-01-01T10%3A00%3A00%2B01%3A00 | [optional] 
 **filter_date_until_from** | **datetime**| Query parameter to fetch jobs with a later date in TimeToSendUntil. Can be combined with filterDateUntilTo to define a period of interest. The format must comply with ISO 8601 and must contain date and time, like &#x27;2022-01-01T10:00:00+01:00&#x27;. Please also consider urlencoding (2022-01-01T10%3A00%3A00%2B01%3A00) | [optional] 
 **filter_date_until_to** | **datetime**| Query parameter to fetch jobs with a previous date in TimeToSendUntil. Can be combined with filterDateUIntilFrom to define a period of interest. The format must comply with ISO 8601 and must contain date and time, like &#x27;2022-01-01T10:00:00+02:00&#x27;. Please also consider urlencoding (2022-01-01T10%3A00%3A00%2B01%3A00 | [optional] 
 **filter_cost_center** | **str**| Query parameter to fetch jobs after his cost center | [optional] 
 **sort_field** | **str**| Available sort options for the result data array. | [optional] 
 **sort_order** | **str**| Describes the order for used sort fields | [optional] [default to asc]

### Return type

[**Jobs**](Jobs.md)

### Authorization

[ApiAuthKey](../README.md#ApiAuthKey)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **post_job**
> InlineResponse201 post_job(body)

/jobs

Description: Resource to create a new fax job

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# Configure API key authorization: ApiAuthKey
configuration = swagger_client.Configuration()
configuration.api_key['X-Auth-Token'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['X-Auth-Token'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.JobsApi(swagger_client.ApiClient(configuration))
body = swagger_client.JobPost() # JobPost | Describes the required request body to create a new fax job

try:
    # /jobs
    api_response = api_instance.post_job(body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling JobsApi->post_job: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**JobPost**](JobPost.md)| Describes the required request body to create a new fax job | 

### Return type

[**InlineResponse201**](InlineResponse201.md)

### Authorization

[ApiAuthKey](../README.md#ApiAuthKey)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

