# swagger_client.RecipientsApi

All URIs are relative to *https://service.fax-api.de/4.0/rest*

Method | HTTP request | Description
------------- | ------------- | -------------
[**get_recipients**](RecipientsApi.md#get_recipients) | **GET** /recipients | /recipients

# **get_recipients**
> Recipients get_recipients(object_limit=object_limit, object_offset=object_offset, filter_job_id=filter_job_id, filter_same_account=filter_same_account, filter_fax_number=filter_fax_number, filter_fax_number_norm=filter_fax_number_norm, filter_recipient_reference=filter_recipient_reference, filter_international_dialing_code=filter_international_dialing_code, filter_result_code=filter_result_code, filter_result_text=filter_result_text, sort_field=sort_field, sort_order=sort_order)

/recipients

Description: To obtain a list of recipients

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# Configure API key authorization: ApiAuthKey
configuration = swagger_client.Configuration()
configuration.api_key['X-Auth-Token'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['X-Auth-Token'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.RecipientsApi(swagger_client.ApiClient(configuration))
object_limit = 100 # int | Query parameter to change de default limitation of objects in the result data array (optional) (default to 100)
object_offset = 0 # int | Query parameter to change de default offset of objects in the result data array (optional) (default to 0)
filter_job_id = 'filter_job_id_example' # str | Query parameter to fetch after recipient related to specific fax job (optional)
filter_same_account = false # bool | Query parameter to fetch recipient related to jobs linked to the used token/key for authorization (optional) (default to false)
filter_fax_number = 'filter_fax_number_example' # str | Query parameter to fetch recipients after his fax number (optional)
filter_fax_number_norm = 'filter_fax_number_norm_example' # str | Query parameter to fetch recipients after his normed fax number (optional)
filter_recipient_reference = 'filter_recipient_reference_example' # str | Query parameter to fetch recipients after his recipient reference (optional)
filter_international_dialing_code = 'filter_international_dialing_code_example' # str | Query parameter to fetch recipients after his international dialing code (optional)
filter_result_code = 'filter_result_code_example' # str | Query parameter to fetch recipients after his result code (optional)
filter_result_text = 'filter_result_text_example' # str | Query parameter to fetch recipients after his result text (optional)
sort_field = 'sort_field_example' # str | Available sort options for the result data array. (optional)
sort_order = 'asc' # str | Describes the order for used sort fields (optional) (default to asc)

try:
    # /recipients
    api_response = api_instance.get_recipients(object_limit=object_limit, object_offset=object_offset, filter_job_id=filter_job_id, filter_same_account=filter_same_account, filter_fax_number=filter_fax_number, filter_fax_number_norm=filter_fax_number_norm, filter_recipient_reference=filter_recipient_reference, filter_international_dialing_code=filter_international_dialing_code, filter_result_code=filter_result_code, filter_result_text=filter_result_text, sort_field=sort_field, sort_order=sort_order)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling RecipientsApi->get_recipients: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **object_limit** | **int**| Query parameter to change de default limitation of objects in the result data array | [optional] [default to 100]
 **object_offset** | **int**| Query parameter to change de default offset of objects in the result data array | [optional] [default to 0]
 **filter_job_id** | **str**| Query parameter to fetch after recipient related to specific fax job | [optional] 
 **filter_same_account** | **bool**| Query parameter to fetch recipient related to jobs linked to the used token/key for authorization | [optional] [default to false]
 **filter_fax_number** | **str**| Query parameter to fetch recipients after his fax number | [optional] 
 **filter_fax_number_norm** | **str**| Query parameter to fetch recipients after his normed fax number | [optional] 
 **filter_recipient_reference** | **str**| Query parameter to fetch recipients after his recipient reference | [optional] 
 **filter_international_dialing_code** | **str**| Query parameter to fetch recipients after his international dialing code | [optional] 
 **filter_result_code** | **str**| Query parameter to fetch recipients after his result code | [optional] 
 **filter_result_text** | **str**| Query parameter to fetch recipients after his result text | [optional] 
 **sort_field** | **str**| Available sort options for the result data array. | [optional] 
 **sort_order** | **str**| Describes the order for used sort fields | [optional] [default to asc]

### Return type

[**Recipients**](Recipients.md)

### Authorization

[ApiAuthKey](../README.md#ApiAuthKey)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

