# coding: utf-8

"""
    Faxsuite RESTful API

    <p><img src=\"https://service.fax-api.de/4.0/img/fax-api.png\" height=\"100\" title=\"title\" /></p>  # API Definition <p><img src=\"https://service.fax-api.de/4.0/img/open_api.png\" height=\"50\" title=\"title\" /></p>  Die <b>RESTful API</b> basiert auf den <b>OpenAPI v3.0.3</b> Spezifikationen. OpenAPI Spezifikationen (OAS) definieren eine standardisierte und programmiersprachenunabhängige Schnittstellenbeschreibung für RESTful APIs. Diese Schnittstelle ist nutzbar ohne dass der Zugang zum Quellcode, zusätzliche Dokumentation oder die Untersuchung des Netzwerk-Traffics erforderlich ist. Somit kann ein Nutzer den Dienst mit einem Minimum an Implementierungslogik verstehen, mit ihm interagieren und einfach und schnell als API-Schnittstelle in seine eigene Softwareanwendung integrieren..<br><br>Weitere Informationen zu OpenAPI finden sie hier: <a href=\"https://www.openapis.org/\"><b>https://www.openapis.org/</b></a>   # Einleitung  <p><img src=\"https://service.fax-api.de/4.0/img/fax-api-faxsuite_v2.png\" height=\"350\" title=\"title\" />  </p>  Mit unserer <b>Faxsuite</b> können Sie überall und zu jederzeit Faxe senden und empfangen. Neben vielen anderen Funktionalitäten bietet Ihnen unsere <b>Faxsuite</b> auch eine RESTFul API-Schnittstelle. Damit können Sie z. B. aus Ihrer eigenen Softwareanwendung Faxe automatisiert versenden. Zeitintensive und teure Investionen in Hardware und Software gehören der Vergangenheit an und sind nicht mehr notwendig..<br><br>Um den API Service nutzen zu können, müssen Sie sich für die <a href=\"https://www.faxsuite.de/\"><b>Faxsuite</b></a> anmelden. Ein kostenloser Testzugang kann <a href=\"https://www.faxverteiler.com/testzugang/\"><b>hier</b></a> beantragt werden. (<i>To use the API service you need to sign up for the <a href=\"https://www.faxsuite.de/\"><b>Faxsuite</b></a>. A free trial access can be requested <a href=\"https://www.faxverteiler.com/testzugang/\"><b>here</b></a></i>).<br><br>Mit der <b>Faxsuite</b> haben Sie die Kontrolle über Ihre Fax-Kampangen. Mit dem kostenlosen Testzugang können Sie alle Faxsuite Module (Fax-API, Mail2Fax, Faxdrucker, Faxmailing und Faxempfang) unverbindlich ausprobieren. Sie bekommen 10 kostenlose Faxseiten, die Sie zum aktiven Kennenlernen unserer Faxsuite nutzen können. (<i>You can test the <b>Faxsuite</b> modules for four weeks without obligation. You will receive 10 free fax pages with the free trial access</i>)<br><br>Nachdem Sie den Zugang beantragt haben, können Sie sich <a href=\"https://www.faxsuite.de/\"><b>hier</b></a> in die <b>Faxsuite</b> einloggen. Unter dem Menüpunkt 'FAX-API | Konto verwalten' können Sie ein neues Fax-API Konto erstellen. Bei der Erstellung des Fax-API Kontos wird automatisch ein Autorisierungs-Schlüssel generiert, welchen Sie für den Zugang zur API-Schnittstelle benötigen. (<i>After creating a login you can access the <b>Faxsuite</b> <a href=\"https://www.faxsuite.de/\"><b>here</b></a>. In the menu 'FAX-API | Konto verwalten' you can create a new API-Account and receive the related token/key you need to gain access to our API service</i>).<br><br>Die standardisierte API Dokumentation wird Ihnen in zwei unterschiedlichen, als nicht <b>interaktive</b> und <b>interaktive</b> Varinaten angeboten:  |Name|Type|Link| |-----|-----|-------| | <b>Redoc</b> | non interactive | <b><a href=\"https://service.fax-api.de/4.0/rest/index.html\">click here for redoc</a></b> | <b>Swagger UI</b> | interactive (self hosted) | <b><a href=\"https://service.fax-api.de/4.0/rest/swagger-ui/index.html\">click here for swagger</a></b> |    # noqa: E501

    OpenAPI spec version: 4.0.0
    Contact: support@fax-api.de
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class JobOptions(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'title': 'str',
        'time_to_send': 'datetime',
        'time_to_send_until': 'datetime',
        'fax_header': 'bool',
        'fax_header_from': 'str',
        'station_id': 'str',
        'clip': 'str',
        'default_international_dialing_code': 'str',
        'cost_center': 'str',
        'save_documents': 'bool'
    }

    attribute_map = {
        'title': 'title',
        'time_to_send': 'timeToSend',
        'time_to_send_until': 'timeToSendUntil',
        'fax_header': 'faxHeader',
        'fax_header_from': 'faxHeaderFrom',
        'station_id': 'stationID',
        'clip': 'clip',
        'default_international_dialing_code': 'defaultInternationalDialingCode',
        'cost_center': 'costCenter',
        'save_documents': 'saveDocuments'
    }

    def __init__(self, title=None, time_to_send=None, time_to_send_until=None, fax_header=None, fax_header_from=None, station_id=None, clip=None, default_international_dialing_code=None, cost_center=None, save_documents=None):  # noqa: E501
        """JobOptions - a model defined in Swagger"""  # noqa: E501
        self._title = None
        self._time_to_send = None
        self._time_to_send_until = None
        self._fax_header = None
        self._fax_header_from = None
        self._station_id = None
        self._clip = None
        self._default_international_dialing_code = None
        self._cost_center = None
        self._save_documents = None
        self.discriminator = None
        if title is not None:
            self.title = title
        if time_to_send is not None:
            self.time_to_send = time_to_send
        if time_to_send_until is not None:
            self.time_to_send_until = time_to_send_until
        if fax_header is not None:
            self.fax_header = fax_header
        if fax_header_from is not None:
            self.fax_header_from = fax_header_from
        if station_id is not None:
            self.station_id = station_id
        if clip is not None:
            self.clip = clip
        if default_international_dialing_code is not None:
            self.default_international_dialing_code = default_international_dialing_code
        if cost_center is not None:
            self.cost_center = cost_center
        if save_documents is not None:
            self.save_documents = save_documents

    @property
    def title(self):
        """Gets the title of this JobOptions.  # noqa: E501

        Describes a title of a fax job  # noqa: E501

        :return: The title of this JobOptions.  # noqa: E501
        :rtype: str
        """
        return self._title

    @title.setter
    def title(self, title):
        """Sets the title of this JobOptions.

        Describes a title of a fax job  # noqa: E501

        :param title: The title of this JobOptions.  # noqa: E501
        :type: str
        """

        self._title = title

    @property
    def time_to_send(self):
        """Gets the time_to_send of this JobOptions.  # noqa: E501

        Describes the date the fax should be sent. The format complies with ISO 8601 and contains date and time  # noqa: E501

        :return: The time_to_send of this JobOptions.  # noqa: E501
        :rtype: datetime
        """
        return self._time_to_send

    @time_to_send.setter
    def time_to_send(self, time_to_send):
        """Sets the time_to_send of this JobOptions.

        Describes the date the fax should be sent. The format complies with ISO 8601 and contains date and time  # noqa: E501

        :param time_to_send: The time_to_send of this JobOptions.  # noqa: E501
        :type: datetime
        """

        self._time_to_send = time_to_send

    @property
    def time_to_send_until(self):
        """Gets the time_to_send_until of this JobOptions.  # noqa: E501

        Describes the date the fax can be sent until. The format complies with ISO 8601 and contains date and time  # noqa: E501

        :return: The time_to_send_until of this JobOptions.  # noqa: E501
        :rtype: datetime
        """
        return self._time_to_send_until

    @time_to_send_until.setter
    def time_to_send_until(self, time_to_send_until):
        """Sets the time_to_send_until of this JobOptions.

        Describes the date the fax can be sent until. The format complies with ISO 8601 and contains date and time  # noqa: E501

        :param time_to_send_until: The time_to_send_until of this JobOptions.  # noqa: E501
        :type: datetime
        """

        self._time_to_send_until = time_to_send_until

    @property
    def fax_header(self):
        """Gets the fax_header of this JobOptions.  # noqa: E501

        Describes if the fax header is used or not in a fax job  # noqa: E501

        :return: The fax_header of this JobOptions.  # noqa: E501
        :rtype: bool
        """
        return self._fax_header

    @fax_header.setter
    def fax_header(self, fax_header):
        """Sets the fax_header of this JobOptions.

        Describes if the fax header is used or not in a fax job  # noqa: E501

        :param fax_header: The fax_header of this JobOptions.  # noqa: E501
        :type: bool
        """

        self._fax_header = fax_header

    @property
    def fax_header_from(self):
        """Gets the fax_header_from of this JobOptions.  # noqa: E501

        Describes the header part from in the fax header (if its used) in a fax job  # noqa: E501

        :return: The fax_header_from of this JobOptions.  # noqa: E501
        :rtype: str
        """
        return self._fax_header_from

    @fax_header_from.setter
    def fax_header_from(self, fax_header_from):
        """Sets the fax_header_from of this JobOptions.

        Describes the header part from in the fax header (if its used) in a fax job  # noqa: E501

        :param fax_header_from: The fax_header_from of this JobOptions.  # noqa: E501
        :type: str
        """

        self._fax_header_from = fax_header_from

    @property
    def station_id(self):
        """Gets the station_id of this JobOptions.  # noqa: E501

        Describes the source identifier, which will be displayed during the transmission and appears on the receipt protocol  # noqa: E501

        :return: The station_id of this JobOptions.  # noqa: E501
        :rtype: str
        """
        return self._station_id

    @station_id.setter
    def station_id(self, station_id):
        """Sets the station_id of this JobOptions.

        Describes the source identifier, which will be displayed during the transmission and appears on the receipt protocol  # noqa: E501

        :param station_id: The station_id of this JobOptions.  # noqa: E501
        :type: str
        """

        self._station_id = station_id

    @property
    def clip(self):
        """Gets the clip of this JobOptions.  # noqa: E501

        Describes the Calling Line Identification Presentation (Clip). It is the transferred dialing number before the transmission of the fax document  # noqa: E501

        :return: The clip of this JobOptions.  # noqa: E501
        :rtype: str
        """
        return self._clip

    @clip.setter
    def clip(self, clip):
        """Sets the clip of this JobOptions.

        Describes the Calling Line Identification Presentation (Clip). It is the transferred dialing number before the transmission of the fax document  # noqa: E501

        :param clip: The clip of this JobOptions.  # noqa: E501
        :type: str
        """

        self._clip = clip

    @property
    def default_international_dialing_code(self):
        """Gets the default_international_dialing_code of this JobOptions.  # noqa: E501

        Describes the default International Dialing Code which will be used for fax numbers without international area code  # noqa: E501

        :return: The default_international_dialing_code of this JobOptions.  # noqa: E501
        :rtype: str
        """
        return self._default_international_dialing_code

    @default_international_dialing_code.setter
    def default_international_dialing_code(self, default_international_dialing_code):
        """Sets the default_international_dialing_code of this JobOptions.

        Describes the default International Dialing Code which will be used for fax numbers without international area code  # noqa: E501

        :param default_international_dialing_code: The default_international_dialing_code of this JobOptions.  # noqa: E501
        :type: str
        """

        self._default_international_dialing_code = default_international_dialing_code

    @property
    def cost_center(self):
        """Gets the cost_center of this JobOptions.  # noqa: E501

        Describes the used cost center for a fax job  # noqa: E501

        :return: The cost_center of this JobOptions.  # noqa: E501
        :rtype: str
        """
        return self._cost_center

    @cost_center.setter
    def cost_center(self, cost_center):
        """Sets the cost_center of this JobOptions.

        Describes the used cost center for a fax job  # noqa: E501

        :param cost_center: The cost_center of this JobOptions.  # noqa: E501
        :type: str
        """

        self._cost_center = cost_center

    @property
    def save_documents(self):
        """Gets the save_documents of this JobOptions.  # noqa: E501

        Describes if the uploaded template documents and resulting preview documents of a fax job are stored or not  # noqa: E501

        :return: The save_documents of this JobOptions.  # noqa: E501
        :rtype: bool
        """
        return self._save_documents

    @save_documents.setter
    def save_documents(self, save_documents):
        """Sets the save_documents of this JobOptions.

        Describes if the uploaded template documents and resulting preview documents of a fax job are stored or not  # noqa: E501

        :param save_documents: The save_documents of this JobOptions.  # noqa: E501
        :type: bool
        """

        self._save_documents = save_documents

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(JobOptions, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, JobOptions):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
