# coding: utf-8

"""
    Faxsuite RESTful API

    <p><img src=\"https://service.fax-api.de/4.0/img/fax-api.png\" height=\"100\" title=\"title\" /></p>  # API Definition <p><img src=\"https://service.fax-api.de/4.0/img/open_api.png\" height=\"50\" title=\"title\" /></p>  Die <b>RESTful API</b> basiert auf den <b>OpenAPI v3.0.3</b> Spezifikationen. OpenAPI Spezifikationen (OAS) definieren eine standardisierte und programmiersprachenunabhängige Schnittstellenbeschreibung für RESTful APIs. Diese Schnittstelle ist nutzbar ohne dass der Zugang zum Quellcode, zusätzliche Dokumentation oder die Untersuchung des Netzwerk-Traffics erforderlich ist. Somit kann ein Nutzer den Dienst mit einem Minimum an Implementierungslogik verstehen, mit ihm interagieren und einfach und schnell als API-Schnittstelle in seine eigene Softwareanwendung integrieren..<br><br>Weitere Informationen zu OpenAPI finden sie hier: <a href=\"https://www.openapis.org/\"><b>https://www.openapis.org/</b></a>   # Einleitung  <p><img src=\"https://service.fax-api.de/4.0/img/fax-api-faxsuite_v2.png\" height=\"350\" title=\"title\" />  </p>  Mit unserer <b>Faxsuite</b> können Sie überall und zu jederzeit Faxe senden und empfangen. Neben vielen anderen Funktionalitäten bietet Ihnen unsere <b>Faxsuite</b> auch eine RESTFul API-Schnittstelle. Damit können Sie z. B. aus Ihrer eigenen Softwareanwendung Faxe automatisiert versenden. Zeitintensive und teure Investionen in Hardware und Software gehören der Vergangenheit an und sind nicht mehr notwendig..<br><br>Um den API Service nutzen zu können, müssen Sie sich für die <a href=\"https://www.faxsuite.de/\"><b>Faxsuite</b></a> anmelden. Ein kostenloser Testzugang kann <a href=\"https://www.faxverteiler.com/testzugang/\"><b>hier</b></a> beantragt werden. (<i>To use the API service you need to sign up for the <a href=\"https://www.faxsuite.de/\"><b>Faxsuite</b></a>. A free trial access can be requested <a href=\"https://www.faxverteiler.com/testzugang/\"><b>here</b></a></i>).<br><br>Mit der <b>Faxsuite</b> haben Sie die Kontrolle über Ihre Fax-Kampangen. Mit dem kostenlosen Testzugang können Sie alle Faxsuite Module (Fax-API, Mail2Fax, Faxdrucker, Faxmailing und Faxempfang) unverbindlich ausprobieren. Sie bekommen 10 kostenlose Faxseiten, die Sie zum aktiven Kennenlernen unserer Faxsuite nutzen können. (<i>You can test the <b>Faxsuite</b> modules for four weeks without obligation. You will receive 10 free fax pages with the free trial access</i>)<br><br>Nachdem Sie den Zugang beantragt haben, können Sie sich <a href=\"https://www.faxsuite.de/\"><b>hier</b></a> in die <b>Faxsuite</b> einloggen. Unter dem Menüpunkt 'FAX-API | Konto verwalten' können Sie ein neues Fax-API Konto erstellen. Bei der Erstellung des Fax-API Kontos wird automatisch ein Autorisierungs-Schlüssel generiert, welchen Sie für den Zugang zur API-Schnittstelle benötigen. (<i>After creating a login you can access the <b>Faxsuite</b> <a href=\"https://www.faxsuite.de/\"><b>here</b></a>. In the menu 'FAX-API | Konto verwalten' you can create a new API-Account and receive the related token/key you need to gain access to our API service</i>).<br><br>Die standardisierte API Dokumentation wird Ihnen in zwei unterschiedlichen, als nicht <b>interaktive</b> und <b>interaktive</b> Varinaten angeboten:  |Name|Type|Link| |-----|-----|-------| | <b>Redoc</b> | non interactive | <b><a href=\"https://service.fax-api.de/4.0/rest/index.html\">click here for redoc</a></b> | <b>Swagger UI</b> | interactive (self hosted) | <b><a href=\"https://service.fax-api.de/4.0/rest/swagger-ui/index.html\">click here for swagger</a></b> |    # noqa: E501

    OpenAPI spec version: 4.0.0
    Contact: support@fax-api.de
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class JobPost(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'options': 'JobPostOptions',
        'templates': 'list[Template]',
        'recipients': 'list[JobPostRecipient]',
        'distribution_lists': 'list[str]'
    }

    attribute_map = {
        'options': 'options',
        'templates': 'templates',
        'recipients': 'recipients',
        'distribution_lists': 'distributionLists'
    }

    def __init__(self, options=None, templates=None, recipients=None, distribution_lists=None):  # noqa: E501
        """JobPost - a model defined in Swagger"""  # noqa: E501
        self._options = None
        self._templates = None
        self._recipients = None
        self._distribution_lists = None
        self.discriminator = None
        if options is not None:
            self.options = options
        self.templates = templates
        if recipients is not None:
            self.recipients = recipients
        if distribution_lists is not None:
            self.distribution_lists = distribution_lists

    @property
    def options(self):
        """Gets the options of this JobPost.  # noqa: E501


        :return: The options of this JobPost.  # noqa: E501
        :rtype: JobPostOptions
        """
        return self._options

    @options.setter
    def options(self, options):
        """Sets the options of this JobPost.


        :param options: The options of this JobPost.  # noqa: E501
        :type: JobPostOptions
        """

        self._options = options

    @property
    def templates(self):
        """Gets the templates of this JobPost.  # noqa: E501

        Describes an array of template documents. One is required. 5 templates are max   # noqa: E501

        :return: The templates of this JobPost.  # noqa: E501
        :rtype: list[Template]
        """
        return self._templates

    @templates.setter
    def templates(self, templates):
        """Sets the templates of this JobPost.

        Describes an array of template documents. One is required. 5 templates are max   # noqa: E501

        :param templates: The templates of this JobPost.  # noqa: E501
        :type: list[Template]
        """
        if templates is None:
            raise ValueError("Invalid value for `templates`, must not be `None`")  # noqa: E501

        self._templates = templates

    @property
    def recipients(self):
        """Gets the recipients of this JobPost.  # noqa: E501

        Describes an array of recipients. One is required if distribution list is not used. 9999 recipient are max   # noqa: E501

        :return: The recipients of this JobPost.  # noqa: E501
        :rtype: list[JobPostRecipient]
        """
        return self._recipients

    @recipients.setter
    def recipients(self, recipients):
        """Sets the recipients of this JobPost.

        Describes an array of recipients. One is required if distribution list is not used. 9999 recipient are max   # noqa: E501

        :param recipients: The recipients of this JobPost.  # noqa: E501
        :type: list[JobPostRecipient]
        """

        self._recipients = recipients

    @property
    def distribution_lists(self):
        """Gets the distribution_lists of this JobPost.  # noqa: E501

        Describes an array of distribution lists identification numbers. One is required if recipients lists is not used  # noqa: E501

        :return: The distribution_lists of this JobPost.  # noqa: E501
        :rtype: list[str]
        """
        return self._distribution_lists

    @distribution_lists.setter
    def distribution_lists(self, distribution_lists):
        """Sets the distribution_lists of this JobPost.

        Describes an array of distribution lists identification numbers. One is required if recipients lists is not used  # noqa: E501

        :param distribution_lists: The distribution_lists of this JobPost.  # noqa: E501
        :type: list[str]
        """

        self._distribution_lists = distribution_lists

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(JobPost, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, JobPost):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
